
{% extends 'thesaurus/thesaurusLayout.twig' %}

{% block content %}
    <h1>Importation de dictionnaire dans Sysma</h1>

    {% if tabMsg|length != 0 %}
        <h2>{{ tabMsg|length }} objets traités</h2>
        {% for msg in tabMsg %}
            {% if msg.0 == 'Ok' %}
                <span><span class="badge badge-success"><span class="glyphicon glyphicon-ok"></span></span> <a href="{{ url('sysma-object-type',{ 'id': msg.1 }) }}">{{msg.2}}</a> a été importé.</span><br>
            {% elseif msg.0 == 'AlreadyExist' %}
                <span><span class="badge badge-danger" style="background-color:Tomato;"><span class="glyphicon glyphicon-remove"></span></span> <a href="{{ url('sysma-object-type',{ 'id': msg.1 }) }}">{{msg.2}}</a> n'a pas été importé puisque ce type d'objet existe déjà dans la base de données!</span><br>
            {% elseif msg.0 == 'TiidTiMissMatch' %}
                <span><span class="badge badge-danger" style="background-color:Tomato;"><span class="glyphicon glyphicon-remove"></span></span> <a {{msg.2}}></a> Erreur. Le control d'erreur constate un incohérence entre l'élément de dictionnaire "{{msg.2}}" et son TIID. (ie. le CRC des données ne correspond pas au TIID)</span><br>
            {% else %}
                <span><span class="badge badge-danger" style="background-color:Tomato;"><span class="glyphicon glyphicon-remove"></span></span> <a {{msg.2}}></a> Erreur. Importation de {{msg.2}} annulée pour une raison inconnue. Contacter l'équipe de developpement de Sysma.</span><br>
            {% endif %}            
        {% endfor %}
        <br>
    {% endif %}

    <form id='formThesaurusImport' method="POST" action='#' enctype="multipart/form-data">

        {% form_theme form 'bootstrap_3_layout.html.twig' %}
        {{ form_widget(form) }}
        

        <button type="submit" class="btn btn-primary" onclick="$('#formThesaurusImport').attr('action', '{{ url('thesaurus-import') }}');">Importer</button>


    </form>

{% endblock %}